#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Mail importer library
Name:           mailimporter
Epoch:          2
Version: 23.04.1
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)

BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5PimCommonAkonadi) >= 5.20.0


%description
Mail importer library.

%files -f %name.lang
%_kf5_categoriesdir/mailimporter.categories
%_kf5_categoriesdir/mailimporter.renamecategories

#--------------------------------------------------------------------

%define kpim5mailimporter_major 5
%define libkpim5mailimporter %mklibname kpim5mailimporter %{kpim5mailimporter_major}

%package -n %libkpim5mailimporter
Summary:        Mail importer library
Group:          System/Libraries

Requires:       %name >= %epoch:%version-%release

%description -n %libkpim5mailimporter
Mail importer library.

%files -n %libkpim5mailimporter
%_kf5_libdir/libKPim5MailImporter.so.%{kpim5mailimporter_major}{,.*}

#--------------------------------------------------------------------

%define kpim5mailimporterakonadi_major 5
%define libkpim5mailimporterakonadi %mklibname kpim5mailimporterakonadi %{kpim5mailimporterakonadi_major}

%package -n %libkpim5mailimporterakonadi
Summary:        Mail importer library
Group:          System/Libraries

Requires:       %name >= %epoch:%version-%release

%description -n %libkpim5mailimporterakonadi
Mail importer library.

%files -n %libkpim5mailimporterakonadi
%_kf5_libdir/libKPim5MailImporterAkonadi.so.%{kpim5mailimporterakonadi_major}{,.*}

#--------------------------------------------------------------------

%define kf5mailimporter_devel %mklibname kf5mailimporter -d

%package -n %kf5mailimporter_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %epoch:%version-%release
Requires:       %libkpim5mailimporter = %epoch:%version-%release
Requires:       %libkpim5mailimporterakonadi = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kf5mailimporter_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5mailimporter_devel
%_includedir/KPim5/MailImporter/
%_includedir/KPim5/MailImporterAkonadi/
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KPim5MailImporter/
%_kf5_libdir/cmake/KPim5MailImporterAkonadi/
%_kf5_libdir/cmake/KF5MailImporter/
%_kf5_libdir/cmake/KF5MailImporterAkonadi/
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Sun May 28 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959319
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946590
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941883
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1923005
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911499
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905350
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886868
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1880854
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873167
- New version 22.04.3

* Tue May 10 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1857303
- New version 22.04.0

* Thu Apr 21 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852304
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1763949
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724160
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718441
- New version 21.04.0

* Fri Mar 05 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1699315
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694175
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655699
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644081
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633900
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627140
- New version 20.08.1

* Thu Aug 20 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1616750
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604204
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596942
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1584590
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568219
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559409
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540767
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513384
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1467038
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457984
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447645
- New version 19.08.1

* Tue Jul 30 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1426010
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390530
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387741
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1383336
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375738
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365653
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356590
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339595
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332825
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327478
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1299438
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229120
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201974
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194996
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1186538
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143130
- New version 17.08.0

* Tue Aug 08 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1138853
- New version 17.07.90

* Wed Jul 26 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131245
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090159
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076901
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073770
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067413
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061476
- New version 16.08.2

* Fri Sep 23 2016 neoclust <neoclust> 2:16.08.1-2.mga6
+ Revision: 1055474
- Do not build on armv5tl

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050739
- New version 16.08.1

* Tue Aug 23 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1048063
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040142
- New version 16.04.3
- New version 16.04.2

* Thu May 12 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1013930
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004420
- New version 16.04.0

* Fri Apr 01 2016 neoclust <neoclust> 2:16.03.80-2.mga6
+ Revision: 997276
- Fix wrong require on %%name

* Fri Apr 01 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 997275
- imported package mailimporter

